Bug 30454 - Convert holds awaiting pickup tabs to Bootstrap
Summary: Convert holds awaiting pickup tabs to Bootstrap
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 29226
  Show dependency treegraph
 
Reported: 2022-04-04 17:48 UTC by Owen Leonard
Modified: 2022-05-13 15:54 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30454: Convert holds awaiting pickup tabs to Bootstrap (3.48 KB, patch)
2022-04-05 11:12 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30454: Convert holds awaiting pickup tabs to Bootstrap (3.55 KB, patch)
2022-04-20 15:12 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-04-04 17:48:34 UTC
Continuing the process of phasing out jQueryUI, this patch will replace jQueryUI tabs in the  holds awaiting pickup template with Bootstrap.
Comment 1 Owen Leonard 2022-04-05 11:12:39 UTC
Created attachment 132956 [details] [review]
Bug 30454: Convert holds awaiting pickup tabs to Bootstrap

This patch updates the holds awaiting pickup page to replace jQueryUI
tabs with Bootstrap tabs. A minor JavaScript change is required to work
with the new HTML structure.

To test you should have multiple holds for one library: Some which are
waiting for less than the number of days specified in
ReservesMaxPickUpDelay, some which are waiting longer.

- Apply the patch and go to Circulation -> Holds awaiting pickup.
- You should see two tabs: "Holds waiting" and "Holds waiting over..."
- Confirm that the tabs look correct and work correctly.
- Confirm that the "Cancel selected" buttons work correctly under each
  tab.
Comment 2 Martin Renvoize 2022-04-20 15:12:18 UTC
Created attachment 133483 [details] [review]
Bug 30454: Convert holds awaiting pickup tabs to Bootstrap

This patch updates the holds awaiting pickup page to replace jQueryUI
tabs with Bootstrap tabs. A minor JavaScript change is required to work
with the new HTML structure.

To test you should have multiple holds for one library: Some which are
waiting for less than the number of days specified in
ReservesMaxPickUpDelay, some which are waiting longer.

- Apply the patch and go to Circulation -> Holds awaiting pickup.
- You should see two tabs: "Holds waiting" and "Holds waiting over..."
- Confirm that the tabs look correct and work correctly.
- Confirm that the "Cancel selected" buttons work correctly under each
  tab.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2022-04-20 15:12:55 UTC
Looks great and works as expected.. being bold and going straight for QA again here.  QA scripts are happy.

Passing QA
Comment 4 Fridolin Somers 2022-05-02 21:24:58 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄